Bug 43061 - More error codes for failed App installations / upgrades / uninstallations
More error codes for failed App installations / upgrades / uninstallations
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.2-2-errata
Assigned To: Dirk Wiesenthal
Eduard Mai
:
Depends on:
Blocks: 45808
  Show dependency treegraph
 
Reported: 2016-11-27 01:10 CET by Dirk Wiesenthal
Modified: 2017-12-01 12:13 CET (History)
1 user (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 2: Improvement: Would be a product improvement
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 1: Nuisance – not a big deal but noticeable
User Pain: 0.011
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2016-11-27 01:10:02 CET
After an App installation etc, a status code is sent. Currently, 200 means success, 500 means traceback, 401 means a "clean" raise Abort().

But what exactly caused the App Center to abort the action is not sent. We should improve that.
Comment 1 Florian Best univentionstaff 2016-11-28 18:51:24 CET
Do you mean HTTP status? Are you settings in some situations the status to 401?
Comment 2 Dirk Wiesenthal univentionstaff 2017-09-20 10:15:00 CEST
Fixed in
  univention-appcenter 6.0.10-5A~4.2.0.201709191530
Comment 3 Eduard Mai univentionstaff 2017-09-20 13:20:59 CEST
univention-appcenter (6.0.10-5):
46697e9946d8 | Merge branch 'dwiesent/bug43061' into 4.2-2
fcac9c73bc03 | Bug #43061: Better error codes
3e2ba74c6989 | Bug #43061: Better error codes
b91b272d32f3 | Bug #43061: More error codes

OK - error message formatting in Abort and Subclasses when instantiated
OK - usage of new exceptions
OK - replaced all occurrences of old exceptions
OK - YAML, as discussed for 4.2-2 only

Verified
Comment 4 Erik Damrose univentionstaff 2017-09-20 15:03:54 CEST
<http://errata.software-univention.de/ucs/4.2/182.html>